
<div class="row">
    <div class="col-md-12" style="padding-top: 20px;">
      <form name="modelSearchTerms" action="#" (keydown.enter)="$event.preventDefault()">
        <div class="col-md-12">
          <input type="text" name="searchTerms" (keyup)="searchTerm$.next($event.target.value)" class="form-control" placeholder="Rechercher" />
          <!--
          <div class="input-group">
            <input type="text" name="searchTerms" (keyup)="searchTerm$.next($event.target.value)" class="form-control" placeholder="Rechercher" />
            <span class="input-group-btn">
              <button type="submit" class="btn btn-default">
                <i class="fa fa-search"></i>
              </button>
            </span>
          </div>
          -->
        </div>
      </form>
      <br/><br/>
      <br/>
      <div class="row">
        <div *ngFor="let specification of specifications" class="col-md-3">
          <div class="box" [ngStyle]="{'background-color': null != specification.color ? specification.color : '#0092BC'}" title="{{specification?.details?.description}}" data-toggle="tooltip">
            <div class="icon">
              <span>
                <i [ngClass]="'fa fa-2x fa-' + (null == specification.icon ? 'desktop' : specification.icon)" aria-hidden="true"></i>
              </span>
            </div>
            <h3>{{specification.title}}</h3>
            <div class="content">{{specification?.details?.description}}</div>
            <a class="btn btn-primary" href="{{publicUrl}}/form/{{specification.code}}/use">{{specification.title}}</a>
          </div>
        </div>
      </div>
      <br/>
      <div class="row">
        <div class="col-md-12 text-center">
          <app-pagination [total]="total$ | async" [page]="page" [maxPerPage]="maxPerPage" (goTo)="goToPage($event)"></app-pagination>
        </div>
      </div>
    </div>
</div>

